#
# spec file
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define octpkg  tsa
Name:           octave-forge-%{octpkg}
Version:        4.6.3
Release:        1.3
Summary:        Time Series Analysis Toolbox for Octave
License:        GPL-3.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://octave.sourceforge.io
Source0:        https://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildRequires:  octave-devel
Requires:       octave-cli >= 2.9.7
Requires:       octave-forge-nan
BuildArch:      noarch

%description
Stochastic concepts and maximum entropy methods for time series analysis.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}

%changelog
* Wed Sep 15 2021 Atri Bhattacharya <badshah400@gmail.com>
- Update to version 4.6.3:
  * invest0, and sinvest1 are now also utf-8 encoded.
* Wed Nov 27 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 4.6.2:
  * all source files are now utf-8 encoded
- Update to version 4.5:
  * the following functions have been moved into the
    NaN-toolbox:
    detrend, histo, histo2, histo3, histo4
  * detrend: the 2nd output (trend) can be interpolated and
    should not contain any NaN.
- Update to version 4.4.5:
  * make TSA-package dependent of NaN-package
  * avoid compiling the same core functions from the NaN-toolbox
- Update to version 4.4.4:
  * fixes bug #49468 - NaN-toolbox is not required anymore
    when using Octave's pkg installer
* Fri Jun 10 2016 dmitry_r@opensuse.org
- Update to version 4.4.1
  * No changelog available
* Wed Sep 16 2015 dmitry_r@opensuse.org
- Update to version 4.3.2
  * ready for gcc/g++ v5
  * bug fixes
- Drop obsolete tsa-openmp.patch
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 4.2.9
- Fix build with openmp
  * tsa-openmp.patch
